PDA

View Full Version : error #2028



aser
08-09-2014, 05:55 AM
hi i want to ask about error #2028 you don't have the right entitlements to play this game it appears when i try to update the game i already choosed the beta and run the game as admin and they say on the site that i am invited to the beta i don't know what to do anyone could help me

Livi
08-09-2014, 07:33 AM
Same here... tried to reinstall Glyph, now it can't even find ArcheAge in my Library anymore .___.

Skendar
08-09-2014, 07:41 AM
wait till the next beta and you will see it, if you have alpha access then you need to talk to support so you can get access to alpha again

aser
08-09-2014, 01:00 PM
still cant update the game same #2028 error

lukegriffin
08-09-2014, 06:28 PM
when i go to play beta it says error 2028 although i have redeemed my code online and have played it once, now i am getting error 2028 again and my code is still valid i have the $150 founders pack too this is really annoying can anyone help

Aiko
08-09-2014, 07:09 PM
Getting Error 2028 after updating glyph and trying to run game..
..This is quite unsettling

Brkovski
08-10-2014, 05:02 AM
Same 2028 error with me, I payed for SILVER FOUNDER’S PACK, registered code, already played it few times but today its not possible.
Whats going on?

Digma76
08-10-2014, 05:08 AM
Same 2028 error with me, I payed for SILVER FOUNDER’S PACK, registered code, already played it few times but today its not possible.
Whats going on?

Don't people read? Read the official announcements! We're in closed beta which always runs for a couple of days. Next beta is scheduled for august 14 an will run until august 18. So no wonder you can't get in, nothing unsettling about that.